<?php
/**
 * Middleware class
 * It should be changed according to the specific operation of the application.
 * Used: Evening::run() method.
 *
 * @package base
 * @since 1.0
 * @author JJB <splitedragon@hotmail.com>
 * @copyright Copyright (c) 2019, EVENING
 */
class Middleware
{
    /**
     * Runs before any request from client.
     * A developer can customize the method to be suited an application.
     */
	public static function run()
    {
        //var_dump(Router::getUrl());
        Security::init();
        $lang = Security::getLanguage();
        $result = gImportLanguage($lang);
        if($result !== true) {
            die('Cannot find a language file: '.Filter::safeString($lang));
        }
    }
}

