<?php


class LanguageController extends Controller
{
    protected function _beforeIndex($lang='en')
    {
        $path = gURL('language').DS.$lang.'.php';
        if(!file_exists($path)) {
            die('Not exist language: '.$path);
        }
    }

    public function index($lang='en')
    {
        Security::setLanguage($lang);

        Router::backward();
    }
}