<?php
$http_controller = strtolower(Router::getUrl('controller'));
?>
<nav class="navbar navbar-inverse" style="margin: 0;">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="<?php gURLE('http_root') ?>" style="padding: 8px">
                <img src="<?php gURLE('http_assets');?>/images/logo.png" alt="EVENING" >
            </a>
        </div>
        <div id="navbar" class="collapse navbar-collapse">
            <ul class="nav navbar-nav">
                <li class="<?php echo $http_controller=='home'? 'active' : ''; ?>">
                    <a href="<?php gURLE('http_root') ?>/home/index"><?php gTextE('menu_home');?></a>
                </li>
                <li class="<?php echo $http_controller=='account'? 'active' : ''; ?>">
                    <a href="<?php gURLE('http_root') ?>/account"><?php gTextE('menu_create');?></a>
                </li>
                <li class="<?php echo $http_controller=='files'? 'active' : ''; ?>">
                    <a href="<?php gURLE('http_root') ?>/files"><?php gTextE('menu_files');?></a>
                </li>
                <li class="<?php echo $http_controller=='blog'? 'active' : ''; ?>">
                    <a href="<?php gURLE('http_root') ?>/blog"><?php gTextE('menu_blog');?></a>
                </li>
                <li class="<?php echo $http_controller=='chat'? 'active' : ''; ?>">
                    <a href="<?php gURLE('http_root') ?>/chat"><?php gTextE('menu_chat');?></a>
                </li>
                <li style="padding: 8px;">
                    <div class="dropdown">
                        <button class="btn btn-primary dropdown-toggle" type="button" data-toggle="dropdown">Language
                            <span class="caret"></span></button>
                        <ul class="dropdown-menu">
                            <li><a href="<?php gURLE('http_root') ?>/language/index/en">English</a></li>
                            <li><a href="<?php gURLE('http_root') ?>/language/index/ko">Korean</a></li>
                        </ul>
                    </div>
                </li>
            </ul>            
        </div><!--/.nav-collapse -->
    </div>
</nav>
