<!DOCTYPE html>
<html lang="en-US">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php echo $title; ?></title>

    <link rel="stylesheet" type="text/css" href="<?php gURLE('http_assets');?>/bootstrap-3.3.2/css/bootstrap.min.css" media="all">
    <link rel="stylesheet" type="text/css" href="<?php gURLE('http_assets');?>/bootstrap-3.3.2/css/bootstrap-theme.min.css" media="all">
    <link rel="stylesheet" type="text/css" href="<?php gURLE('http_assets');?>/css/main.css" media="all">
</head>

<body>

<div style="display: flex;width: 100%; height: 100%;justify-content: center;flex-wrap: wrap;">
    <div style="padding: 20px;">

        <form class="form-signin" id="edit_form" method="post">
            <h3><?php gTextE('title3');?></h3>
            <input type="hidden" name="id" id="id" value="<?php echo isset($data['id'])? $data['id'] : ''; ?>">
            <input type="text" name="user_name" id="user_name" class="form-control" placeholder="User Name*" required autofocus
                   value="<?php echo isset($data['name'])? $data['name'] : '';  ?>">
            <br/>
            <input type="email" name="user_email" id="user_email" class="form-control" placeholder="Email address*"  required
                   value="<?php echo isset($data['email'])? $data['email'] : '';  ?>">
            <br/>
            <input type="password" name="user_passwd" id="user_passwd" class="form-control" placeholder="Password*"  required>
            <br/>
            <input type="password" name="user_repasswd" id="user_repasswd" class="form-control" placeholder="Confirm your password*"  required>
            <br/>
            <button class="btn btn-sm btn-primary btn-block" type="submit"><?php gTextE('btn_3'); ?></button>
        </form>
    </div>
</div>



<script type="text/javascript" src="<?php gURLE('http_assets');?>/js/jquery-3.3.1.min.js"></script>
<script type="text/javascript" src="<?php gURLE('http_assets');?>/bootstrap-3.3.2/js/bootstrap.min.js"></script>
<script type="text/javascript" src="<?php gURLE('http_assets');?>/evening_box/box.js"></script>

<script>

    $(document).ready(function() {
        init();
    });

    function init() {
        $("#edit_form").submit(function(e)
        {
            e.target.blur();
            e.preventDefault(); /*STOP default action*/
            var url = "<?php gURLE('http_root')?>/account/save";
            var postData = $(this).serializeArray();
            var formURL = $(this).attr("action");
            $.ajax({
                url : url,
                type: "POST",
                data : postData,
                success: function(result, textStatus, jqXHR)
                {
                    if(result == 1) {
                        alert("<?php gTextE('msg_success');?>");
                        window.parent.readAll();
                    } else {
                        alert(result);
                    }
                },
                error: function(jqXHR, textStatus, errorThrown)
                {
                    /*if fails*/
                    alert('Network Error!');
                }
            });

            //e.unbind(); /*unbind. to stop multiple form submit.*/
        });
    }

</script>

</body>

</html>